Hubs¶
Operations on hubs. Available on the client as client.hubs.
hubs.list¶
async def list(scenario_guid: str) -> list[HubResponseDto]
List the hubs of a scenario.
REST operation: GET /sympheny-app/scenarios/{scenarioGuid}/hubs
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
scenario_guid |
str |
yes | GUID of the scenario. |
Returns: list of HubResponseDto
async with AsyncSympheny(username, password) as client:
hubs = await client.hubs.list(scenario_guid)
with Sympheny(username, password) as client:
hubs = client.hubs.list(scenario_guid)
hubs.create¶
async def create(scenario_guid: str, request: HubRequestDto) -> HubResponseDto
Create a new hub in a scenario.
REST operation: POST /sympheny-app/scenarios/{scenarioGuid}/hubs
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
scenario_guid |
str |
yes | GUID of the scenario. |
request |
HubRequestDto |
yes | Request body. |
Returns: HubResponseDto
async with AsyncSympheny(username, password) as client:
hub = await client.hubs.create(scenario_guid, request)
with Sympheny(username, password) as client:
hub = client.hubs.create(scenario_guid, request)
hubs.get¶
async def get(hub_guid: str) -> HubResponseDto
Get hub details.
REST operation: GET /sympheny-app/scenarios/hubs/{guid}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
hub_guid |
str |
yes | GUID of the hub. |
Returns: HubResponseDto
async with AsyncSympheny(username, password) as client:
hub = await client.hubs.get(hub_guid)
with Sympheny(username, password) as client:
hub = client.hubs.get(hub_guid)
hubs.update¶
async def update(hub_guid: str, request: HubResponseDto) -> HubResponseDto
Update a hub.
REST operation: PUT /sympheny-app/v2/scenarios/hubs/{guid}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
hub_guid |
str |
yes | GUID of the hub. |
request |
HubResponseDto |
yes | Request body. |
Returns: HubResponseDto
async with AsyncSympheny(username, password) as client:
hub = await client.hubs.update(hub_guid, request)
with Sympheny(username, password) as client:
hub = client.hubs.update(hub_guid, request)
hubs.delete¶
async def delete(hub_guid: str) -> builtins.list[HubResponseDto]
Delete a hub; returns the remaining hubs.
REST operation: DELETE /sympheny-app/scenarios/hubs/{guid}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
hub_guid |
str |
yes | GUID of the hub. |
Returns: list of HubResponseDto
async with AsyncSympheny(username, password) as client:
remaining = await client.hubs.delete(hub_guid)
with Sympheny(username, password) as client:
remaining = client.hubs.delete(hub_guid)